%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-python
Version:        2.6.2
Release:        14.4.1ng%{?dist}
Summary:        Python Interpreter

License:        X11/MIT
URL:            http://www.python.org
Group:          Development/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        Python-%{version}.tar.bz2

Source1000:     %{name}-%{version}-rpmlintrc

Patch0:         Python-2.6.2-cross47.patch
Patch1:         Python-2.6.2-bdb48.patch

BuildArch:      noarch
#!BuildIgnore: post-build-checks

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-db4
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-readline
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-pthreads
BuildRequires:  python-devel
BuildRequires:  autoconf automake libtool pkgconfig

%description
Python is an interpreted, object-oriented programming language, and is
often compared to Tcl, Perl, Scheme, or Java.  You can find an overview
of Python in the documentation and tutorials included in the python-doc
(HTML) or python-doc-pdf (PDF) packages.

If you want to install third party modules using distutils, you need to
install python-devel package.

%if 0

%package base
Summary:        Python Interpreter base package
Group:          Development/Libraries

%description base
Python is an interpreted, object-oriented programming language, and is
often compared to Tcl, Perl, Scheme, or Java.  You can find an overview
of Python in the documentation and tutorials included in the python-doc
(HTML) or python-doc-pdf (PDF) packages.

This package contains all of stand-alone Python files, minus binary
modules that would pull in extra dependencies.

%endif

%package devel
Summary:        Include Files and Libraries Mandatory for Building Python Modules
Group:          Development/Libraries
Requires:       mingw32-db4
Requires:       mingw32-gettext
Requires:       mingw32-readline
Requires:       mingw32-zlib
Requires:       mingw32-python

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.

This package contains header files, a static library, and development
tools for building Python modules, extending the Python interpreter or
embedding Python in applications.


%{_mingw32_debug_package}

%prep
%setup -q -n Python-%{version}

%patch0 -p1
%patch1 -p0


%build
libtoolize --force --copy  --automake --install
aclocal
autoheader
autoconf
echo "ac_cv_printf_zd_format=no" >>%{_mingw32_cache}
export CC_FOR_BUILD="gcc -I./Include"
%{_mingw32_configure} --with-threads
%{_mingw32_make} %{?_smp_mflags} || %{_mingw32_make}


%install
rm -rf $RPM_BUILD_ROOT

%{_mingw32_make} DESTDIR=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{_mingw32_libdir}/python2.6/config/libpython2.6.dll.a \
	$RPM_BUILD_ROOT%{_mingw32_libdir}/
	
chmod +w $RPM_BUILD_ROOT%{_mingw32_bindir}/libpython2.6.dll

#remove the distutils binaries
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/python2.6/distutils/command/wininst*.exe


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_mingw32_bindir}/2to3
%{_mingw32_bindir}/idle 
%{_mingw32_bindir}/libpython2.6.dll
%{_mingw32_bindir}/python2.6.exe
%{_mingw32_bindir}/python.exe
%{_mingw32_bindir}/smtpd.py
%{_mingw32_bindir}/pydoc
%{_mingw32_libdir}/python2.6
%exclude %{_mingw32_libdir}/python2.6/config
%exclude %{_mingw32_libdir}/python2.6/test
%{_mingw32_libdir}/python2.6/config/Makefile
%{_mingw32_libdir}/python2.6/config/Setup
%{_mingw32_mandir}/man1/python.1*

%if 0

%files base
%defattr(-,root,root)
%{_mingw32_bindir}/libpython-1-2-3.dll

%endif

%files devel
%defattr(-,root,root)
%{_mingw32_bindir}/python2.6-config  
%{_mingw32_bindir}/python-config
%{_mingw32_includedir}/python2.6
%{_mingw32_libdir}/libpython2.6.dll.a
%{_mingw32_libdir}/python2.6/config
%exclude %{_mingw32_libdir}/python2.6/config/Makefile
%exclude %{_mingw32_libdir}/python2.6/config/Setup
%{_mingw32_libdir}/python2.6/test


%changelog
